## chemfp 1.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html: api.rst
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/chemfp.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/chemfp.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/chemfp"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/chemfp"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

api.rst: api.txt ../chemfp/__init__.py ../chemfp/arena.py
	python apply_template.py api

=== src/CMakeLists.txt ===
project(chemfp)

cmake_minimum_required(VERSION 2.8)

option(BUILD_SHARED "enable static build support" ON)


ADD_LIBRARY(chemfp SHARED bitops.c chemfp.c heapq.c searches.c fps.c)

add_executable(test_libchemfp test_libchemfp.c)
target_link_libraries(test_libchemfp chemfp)
add_test(test_libchemfp test_libchemfp)
#endforeach(test ${tests})

=== debian/changelog ===
chemfp (1.0-1) unstable; urgency=low

  * Initial release (Closes: #676658).

 -- Michael Banck <mbanck@debian.org>  Fri, 08 Jun 2012 16:04:49 +0200

=== debian/control ===
Source: chemfp
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all-dev, python-openbabel, python-rdkit
Standards-Version: 3.9.3
Homepage: http://code.google.com/p/chem-fingerprints/
Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/chemfp/
Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/chemfp

Package: python-chemfp
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Recommends: python-openbabel, python-rdkit
Description: Cheminformatics fingerprints file formats and tools
 Chem-fingerprints is a set of formats and related tools for the storage,
 exchange, and search of cheminformatics fingerprint data sets.
 .
 It translates fingerprints from the OpenBabel and RDKIT and
 cheminformatics packages (as well as the proprietary OEChem package)
 into the binary FPS format.
 .
 Besides python modules, it provides the following tools:
 .
 * sdf2fps - Extract fingerprint data from SD tags
 * ob2fps - Use OpenBabel to generate fingerprints from structures
 * rdkit2fps - Use RDKit to generate fingerprints from structures
 * oe2fps - Use OEChem/OEGraphSim to generate fingerprints from structures
 * simsearch - Do threshold or k-nearest neighbor Tanimoto similarity searches
   between two FPS files

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@  --with python2

override_dh_auto_test:
	#for PY in $(PYVERS); do \
	#  (cd tests; PYTHONPATH=$(wildcard $(CURDIR)/build/lib.*$$PY/) \
	#  python$$PY unit2 discover); \
	#done

## chemfp 1.1p1

=== docs/Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
 SPHINXBUILD   = sphinx-build
 PAPER         =
 BUILDDIR      = _build
+PYTHON        = python2.7
 
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
@@ -130,4 +131,4 @@
 	      "results in $(BUILDDIR)/doctest/output.txt."
 
 api.rst: api.txt ../chemfp/__init__.py ../chemfp/arena.py
-	python apply_template.py api
+	$(PYTHON) apply_template.py api

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,15 @@
 
 option(BUILD_SHARED "enable static build support" ON)
 
+IF(CMAKE_COMPILER_IS_GNUCXX)
+   SET(CMAKE_C_FLAGS "-O3")
+ENDIF(CMAKE_COMPILER_IS_GNUCXX)
 
-ADD_LIBRARY(chemfp SHARED bitops.c chemfp.c heapq.c searches.c fps.c)
+ADD_LIBRARY(chemfp SHARED bitops.c chemfp.c heapq.c searches.c fps.c
+                   popcount_SSSE3.c popcount_gillies.c
+                   popcount_lauradoux.c popcount_lut.c
+                   popcount_popcnt.c hits.c select_popcount.c)
+                   
 
 add_executable(test_libchemfp test_libchemfp.c)
 target_link_libraries(test_libchemfp chemfp)

=== debian/changelog ===
chemfp (1.1p1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unnecessary build dependency on python-unit (Closes: #768703).

 -- Andrey Rahmatullin <wrar@debian.org>  Fri, 14 Nov 2014 21:55:00 +0500

chemfp (1.1p1-2) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/rules (override_dh_auto_build): Disable -mssse3 flag on
    architectures that don't support it to fix FTBFS.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Thu, 30 May 2013 00:29:13 +0200

chemfp (1.1p1-1) unstable; urgency=low

  * New upstream release (Closes: #702389).

  [ Daniel Leidert ]
  * debian/control: Added Provides field.
    (Build-Depends): Added python-unit and versioned python-all-dev.
    (Standards-Version): Bumped to 3.9.4.
    (Description): Minor improvements.
  * debian/copyright: Updated.
  * debian/*.1: Updated by help2man.
  * debian/rules: Enable tests (passing tests is allowed to fail).
    Enable hardening.
  * debian/watch: Added.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Mon, 27 May 2013 23:20:41 +0200

=== debian/control ===
Source: chemfp
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               python-all-dev (>= 2.6.6-3~),
               python-openbabel,
               python-rdkit
Standards-Version: 3.9.4
Homepage: http://code.google.com/p/chem-fingerprints/
Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/chemfp/
Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/chemfp

Package: python-chemfp
Section: python
Architecture: any
Provides: ${python:Provides}
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Recommends: python-openbabel, python-rdkit
Description: cheminformatics fingerprints file formats and tools
 Chem-fingerprints is a set of formats and related tools for the storage,
 exchange, and search of cheminformatics fingerprint data sets.
 .
 It translates fingerprints from the OpenBabel and RDKIT and
 cheminformatics packages (as well as the proprietary OEChem package)
 into the binary FPS format.
 .
 Besides Python modules, it provides the following tools:
 .
  * sdf2fps - Extract fingerprint data from SD tags
  * ob2fps - Use OpenBabel to generate fingerprints from structures
  * rdkit2fps - Use RDKit to generate fingerprints from structures
  * oe2fps - Use OEChem/OEGraphSim to generate fingerprints from structures
  * simsearch - Do threshold or k-nearest neighbor Tanimoto similarity searches
    between two FPS files

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

GCC_SSSE3_ARCH  = amd64 i386 kfreebsd-i386 kfreebsd-amd64 hurd-i386 x32
DEB_HOST_ARCH  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)


-include /usr/share/python/python.mk

PYVERS := $(shell pyversions -sv)

export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
export LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

%:
	dh $@ --with python2 --parallel

ifeq (,$(findstring $(DEB_HOST_ARCH),$(GCC_SSSE3_ARCH)))
override_dh_auto_build:
	dh_auto_build -- --without-ssse3
endif

override_dh_auto_test:
	-for PY in $(PYVERS); do \
	  py_path="$(CURDIR)/build/lib.`python$${PY} -c 'from distutils import util; print util.get_platform();'`-$$PY/" ; \
	  (cd tests; PYTHONPATH=$$py_path python$$PY unit2 discover); \
	done

=== debian/watch ===
version=3
http://code.google.com/p/chem-fingerprints/downloads/list .*/chemfp-([\d.]+(?:p\d+)?)\.tar\.gz
